Subject: bug#35181: Hydra offloads often get stuck while exporting build requisites

From: Mark H Weaver <[email-masked]>
Date: Mon, 08 Apr 2019 03:13:39 -0400

The same jobs that are consistently getting stuck offloading to
hydra.gnunet.org (Hydra's only functional x86 build slave at present)
built successfully on armhf, with build times of 1-2 hours.

With only one x86 build slave and all armhf build slaves on the same
network and running the same ancient version of guix (circa 0.12.0),
there are several possibilities:

(1) The problem might be specific to hydra.gnunet.org or its network, or
(2) it might depend on the version of guix running on the build slave, or
(3) it might depend on the architecture of the build slave, or
(4) something else?

Also, these same jobs built without incident back in early December.

       Mark